@REM SET TO WHERE YOU INSTALLED GCCVB
@set GCCVB_HOME=c:\gccvb
@SET C_INCLUDE_PATH=%GCCVB_HOME%\INCLUDE
@SET LIBRARY_PATH=%GCCVB_HOME%\LIB
@path=%path%;%GCCVB_HOME%\bin
@set OUTPUT_DIR=output

@REM SET TO NAME OF C FILE, WHICH SHOULD BE SHARED WITH THE VBH FILE (AND WITH THE RESULTING .VB FILE)
@set PROJECT_NAME=realdanger



@REM OLD WAY OF COMPILING - BASED ON make.bat FROM \BIN, WHICH I FOUND TO BE DIRTY AS HELL...
@REM          %GCCVB_HOME%\bin\make c:\gccvb\source\joc\ demo1

@REM CLEAN
@del *.vb
@del output\realdanger*.*

@REM COMPILE ALL TO OUTPUT DIRECTORY
%GCCVB_HOME%\bin\as %PROJECT_NAME%.vbh -o %OUTPUT_DIR%\%PROJECT_NAME%.h
%GCCVB_HOME%\bin\objcopy -S -O binary %OUTPUT_DIR%\%PROJECT_NAME%.h %OUTPUT_DIR%\%PROJECT_NAME%.hdr
%GCCVB_HOME%\bin\gcc -nodefaultlibs -mv810 -x c -Tvb.ld -o %OUTPUT_DIR%\%PROJECT_NAME%.O %PROJECT_NAME%.C
%GCCVB_HOME%\bin\objcopy -S -O binary %OUTPUT_DIR%\%PROJECT_NAME%.O %OUTPUT_DIR%\%PROJECT_NAME%.vb
copy /b %OUTPUT_DIR%\%PROJECT_NAME%.vb /b + %OUTPUT_DIR%\%PROJECT_NAME%.hdr %OUTPUT_DIR%\%PROJECT_NAME%.vb /b /y > NUL
%GCCVB_HOME%\bin\padromvb.exe %OUTPUT_DIR%\%PROJECT_NAME%.vb 15 > NUL

@REM COPY TO CURRENT DIRECTORY
copy %OUTPUT_DIR%\%PROJECT_NAME%.vb .

@REM RUN IT!!
@REM @call run.bat